whiteports="21,25,53,80,123,443,993,1194:1196"


sleep 3
echo 3 > /proc/sys/vm/drop_caches
sleep 3

nice -n15 zcat /etc/p2p/L1.gz | nice -n15 ipset -! restore
echo 3 > /proc/sys/vm/drop_caches
sleep 3

nice -n15 zcat /etc/p2p/OTHERS.gz | nice -n15 ipset -! restore 
echo 3 > /proc/sys/vm/drop_caches
sleep 3

nice -n15 zcat /etc/p2p/ET.gz | nice -n15 ipset -! restore
echo 3 > /proc/sys/vm/drop_caches


if ! iptables -L INPUT|grep L1; then 
	iptables -I INPUT -m set --match-set L1 src -j DROP
	iptables -I FORWARD -m set --match-set L1 src -j DROP
	iptables -I OUTPUT -m set --match-set L1 dst -j DROP
fi

if ! iptables -L INPUT|grep OTHERS; then
        iptables -I INPUT -m set --match-set OTHERS src -j DROP
        iptables -I FORWARD -m set --match-set OTHERS src -j DROP
	iptables -I OUTPUT -m set --match-set L1 dst -j DROP
fi

if ! iptables -L INPUT|grep ETcidr; then
        iptables -I INPUT -m set --match-set ETcidr src -j DROP
        iptables -I FORWARD -m set --match-set ETcidr src -j DROP
	iptables -I OUTPUT -m set --match-set L1 dst -j DROP
fi

if ! iptables -L INPUT|grep ETip; then
        iptables -I INPUT -m set --match-set ETip src -j DROP
        iptables -I FORWARD -m set --match-set ETip src -j DROP
	iptables -I OUTPUT -m set --match-set L1 dst -j DROP
fi


iptables -I FORWARD -p tcp --match multiport --sport $whiteports -j delegate_forward
iptables -I FORWARD -p tcp --match multiport --dport $whiteports -j delegate_forward


logger "IPSET LOADED from restore on $(date)"

